import request from '@/utils/request'

// 安全信息类目-新增
export function infoCategoryAdd(data) {
  return request({
    url: '/laboratory/XxpClassify/',
    method: 'post',
    data: data
  })
}
// 安全信息类目-编辑
export function infoCategoryPut(data) {
  return request({
    url: '/laboratory/XxpClassify/',
    method: 'put',
    data: data
  })
}
// 安全信息类目-删除
export function infoCategoryDelete(id) {
  return request({
    url: '/laboratory/XxpClassify/'+id,
    method: 'Delete',
  })
}
//安全信息类目-列表
export function infoCategoryList(data) {
  return request({
    url: '/laboratory/XxpClassify/list',
    method: 'get',
    params: data
  })
}
// 安全信息配置------------------------------------------------------------------------------------
// 安全信息配置-新增
export function infoConfigAdd(data) {
  return request({
    url: '/laboratory/XxpClassifyDet/',
    method: 'post',
    data: data
  })
}
// 安全信息配置-编辑
export function infoConfigPut(data) {
  return request({
    url: '/laboratory/XxpClassifyDet/',
    method: 'put',
    data: data
  })
}
//安全信息配置-列表
export function infoConfigList(data) {
  return request({
    url: '/laboratory/XxpClassifyDet/list',
    method: 'get',
    params: data
  })
}
// 安全信息配置-删除
export function infoConfigDelete(id) {
  return request({
    url: '/laboratory/XxpClassifyDet/'+id,
    method: 'Delete',
  })
}

